/*
 File: TS_la9.cpp
 Date and Time: Sat Oct 11 20:57:19 2014 
*/
#include "TS_la9.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_TS_la9;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 2;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
}
  CTS_la9::
  CTS_la9()
    :yacco2::CAbs_fsm
      ("TS_la9.lex"
      ,"1.0"
      ,"17 Juin 2003"
      ,true
      ,"end-of-line recognizer"
      ,"Sat Oct 11 20:57:19 2014 "
      ,S1_CTS_la9){
    
  }
 
CTS_la9::~CTS_la9(){

  for(int x = 0;x < 2;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool CTS_la9::failed(){
      return false;
  }
  void CTS_la9::op(){
}
int CTS_la9::rhs_to_rules_mapping_[5] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
}; 
Reol::Reol(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Reol",0,CTS_la9::R_Reol_,P,true,true){
}

Rdelimiters::Rdelimiters(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rdelimiters",0,CTS_la9::R_Rdelimiters_,P,true,true){
}

